hive-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tom Coleman (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HIVE-11106) HiveServer2 JDBC (greater than v0.13.1) cannot connect to non-default database
Date Thu, 25 Jun 2015 10:11:04 GMT

     [ https://issues.apache.org/jira/browse/HIVE-11106?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Tom Coleman updated HIVE-11106:
-------------------------------
    Priority: Major  (was: Minor)

> HiveServer2 JDBC (greater than v0.13.1) cannot connect to non-default database
> ------------------------------------------------------------------------------
>
>                 Key: HIVE-11106
>                 URL: https://issues.apache.org/jira/browse/HIVE-11106
>             Project: Hive
>          Issue Type: Improvement
>          Components: JDBC
>    Affects Versions: 0.14.0
>            Reporter: Tom Coleman
>
> Using HiveServer 0.14.0 or greater, I cannot connect a non-default database.
> For example when connecting to HiveServer to via the following URLs, the session uses
the 'default' database, instead of the intended database.
> jdbc://localhost:10000/customDb
> This exact issue was fixed in 0.13.1 of HiveServer from https://issues.apache.org/jira/browse/HIVE-5904
but for some reason this fix was not ported to v0.14.0 or greater. From looking at the source,
it looks as if this fix was overriden by another change to the HiveConnection class, was this
intentional or a defect reintroduced from another defect fix?
> This means that we need to use 0.13.1 in order to connect to a non-default database via
JDBC and we cannot upgrade Hive versions.
> Now it perhaps could be a simple oversight on my behalf in which the syntax to connect
to a non-default database has changed from 0.14.0 onwards but I'd be grateful is this could
be confirmed.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message